: Class Newsgroup

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dog.mail.nntp
Class Newsgroup

    java.lang.Object
      |
      +--javax.mail.Folder
            |
            +--dog.mail.nntp.Newsgroup

public class Newsgroup
extends javax.mail.Folder

The folder class implementing the NNTP mail protocol.

Fields inherited from class javax.mail.Folder
`HOLDS_FOLDERS, HOLDS_MESSAGES, mode, READ_ONLY, READ_WRITE, store`

Constructor Summary
`protected` | `Newsgroup(javax.mail.Store store, java.lang.String name)` Constructor.
`protected` | `Newsgroup(javax.mail.Store store, java.lang.String name, int count, int first, int last)` Constructor.

Method Summary
`void` | `appendMessages(javax.mail.Message[] articles)` NNTP folders are read-only.
`void` | `close(boolean expunge)` Closes this folder.
`boolean` | `create(int i)` NNTP folders can't be created, deleted, or renamed.
`boolean` | `delete(boolean flag)` NNTP folders can't be created, deleted, or renamed.
`boolean` | `exists()` Indicates whether this folder exists.
`javax.mail.Message[]` | `expunge()` Expunges this folder.
`void` | `fetch(javax.mail.Message[] articles, javax.mail.FetchProfile fetchprofile)` Does nothing.
`javax.mail.Folder` | `getFolder(java.lang.String s)` NNTP folders can't contain subfolders.
`java.lang.String` | `getFullName()` Returns the full name of this folder.
`javax.mail.Message` | `getMessage(int msgnum)` Returns the specified article in this folder.
`int` | `getMessageCount()` Returns the number of articles in this folder.
`javax.mail.Message[]` | `getMessages()` Returns the articles in this folder.
`java.lang.String` | `getName()` Returns the name of this folder.
`javax.mail.Folder` | `getParent()` NNTP folders can't have parents.
`javax.mail.Flags` | `getPermanentFlags()` Returns the permanent flags for this folder.
`char` | `getSeparator()` NNTP folders can't contain subfolders.
`int` | `getType()` Returns the type of this folder.
`boolean` | `hasNewMessages()` Indicates whether this folder contains any new articles.
`boolean` | `isOpen()` Indicates whether this folder is open.
`boolean` | `isSubscribed()` Indicates whether this folder is subscribed.
`javax.mail.Folder[]` | `list(java.lang.String s)` NNTP folders can't contain subfolders.
`void` | `open(int mode)` Opens this folder.
`boolean` | `renameTo(javax.mail.Folder folder)` NNTP folders can't be created, deleted, or renamed.

Methods inherited from class javax.mail.Folder
`addConnectionListener, addFolderListener, addMessageChangedListener, addMessageCountListener, copyMessages, finalize, getMessages, getMessages, getMode, getNewMessageCount, getStore, getUnreadMessageCount, getURLName, list, listSubscribed, listSubscribed, notifyConnectionListeners, notifyFolderListeners, notifyFolderRenamedListeners, notifyMessageAddedListeners, notifyMessageChangedListeners, notifyMessageRemovedListeners, removeConnectionListener, removeFolderListener, removeMessageChangedListener, removeMessageCountListener, search, search, setFlags, setFlags, setFlags, setSubscribed, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Newsgroup

    protected Newsgroup(javax.mail.Store store,
                        java.lang.String name)

  Constructor.

### Newsgroup

    protected Newsgroup(javax.mail.Store store,
                        java.lang.String name,
                        int count,
                        int first,
                        int last)

  Constructor.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this folder.
  Overrides:
    getName in class javax.mail.Folder

### getFullName

    public java.lang.String getFullName()

  Returns the full name of this folder.
  Overrides:
    getFullName in class javax.mail.Folder

### getType

    public int getType()
                throws javax.mail.MessagingException

  Returns the type of this folder.
  Overrides:
    getType in class javax.mail.Folder

### exists

    public boolean exists()
                   throws javax.mail.MessagingException

  Indicates whether this folder exists.
  Overrides:
    exists in class javax.mail.Folder

### hasNewMessages

    public boolean hasNewMessages()
                           throws javax.mail.MessagingException

  Indicates whether this folder contains any new articles.
  Overrides:
    hasNewMessages in class javax.mail.Folder

### open

    public void open(int mode)
              throws javax.mail.MessagingException

  Opens this folder.
  Overrides:
    open in class javax.mail.Folder

### close

    public void close(boolean expunge)
               throws javax.mail.MessagingException

  Closes this folder.
  Overrides:
    close in class javax.mail.Folder

### expunge

    public javax.mail.Message[] expunge()
                                 throws javax.mail.MessagingException

  Expunges this folder.
  Overrides:
    expunge in class javax.mail.Folder

### isOpen

    public boolean isOpen()

  Indicates whether this folder is open.
  Overrides:
    isOpen in class javax.mail.Folder

### isSubscribed

    public boolean isSubscribed()

  Indicates whether this folder is subscribed.
  Overrides:
    isSubscribed in class javax.mail.Folder

### getPermanentFlags

    public javax.mail.Flags getPermanentFlags()

  Returns the permanent flags for this folder.
  Overrides:
    getPermanentFlags in class javax.mail.Folder

### getMessageCount

    public int getMessageCount()
                        throws javax.mail.MessagingException

  Returns the number of articles in this folder.
  Overrides:
    getMessageCount in class javax.mail.Folder

### getMessages

    public javax.mail.Message[] getMessages()
                                     throws javax.mail.MessagingException

  Returns the articles in this folder.
  Overrides:
    getMessages in class javax.mail.Folder

### getMessage

    public javax.mail.Message getMessage(int msgnum)
                                  throws javax.mail.MessagingException

  Returns the specified article in this folder. Since NNTP articles are not stored in sequential order, the effect is just to reference articles returned by getMessages().
  Overrides:
    getMessage in class javax.mail.Folder

### appendMessages

    public void appendMessages(javax.mail.Message[] articles)
                        throws javax.mail.MessagingException

  NNTP folders are read-only.
  Overrides:
    appendMessages in class javax.mail.Folder

### fetch

    public void fetch(javax.mail.Message[] articles,
                      javax.mail.FetchProfile fetchprofile)
               throws javax.mail.MessagingException

  Does nothing.
  Overrides:
    fetch in class javax.mail.Folder

### getParent

    public javax.mail.Folder getParent()
                                throws javax.mail.MessagingException

  NNTP folders can't have parents.
  Overrides:
    getParent in class javax.mail.Folder

### list

    public javax.mail.Folder[] list(java.lang.String s)
                             throws javax.mail.MessagingException

  NNTP folders can't contain subfolders.
  Overrides:
    list in class javax.mail.Folder

### getFolder

    public javax.mail.Folder getFolder(java.lang.String s)
                                throws javax.mail.MessagingException

  NNTP folders can't contain subfolders.
  Overrides:
    getFolder in class javax.mail.Folder

### getSeparator

    public char getSeparator()
                      throws javax.mail.MessagingException

  NNTP folders can't contain subfolders.
  Overrides:
    getSeparator in class javax.mail.Folder

### create

    public boolean create(int i)
                   throws javax.mail.MessagingException

  NNTP folders can't be created, deleted, or renamed.
  Overrides:
    create in class javax.mail.Folder

### delete

    public boolean delete(boolean flag)
                   throws javax.mail.MessagingException

  NNTP folders can't be created, deleted, or renamed.
  Overrides:
    delete in class javax.mail.Folder

### renameTo

    public boolean renameTo(javax.mail.Folder folder)
                     throws javax.mail.MessagingException

  NNTP folders can't be created, deleted, or renamed.
  Overrides:
    renameTo in class javax.mail.Folder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD